<?php namespace EwCacheInvalidator;

class QueryItem {

    public $id = 0;
    public $oc_query = '';
    public $page_id = null;
    public $page_url = null;
    public $type = '';
    public $listener_id = '';

    /**
     * QueryItem constructor.
     * @param $oc_query
     * @param $page_ref
     * @param $type
     * @param string $listener_id
     * @param int $id
     */
    public function __construct($oc_query, $page_ref, $type, $listener_id = '', $id = 0) {
        $this->id = $id;
        $this->oc_query = $oc_query;
        $this->type = $type;
        $this->listener_id = $listener_id;

        if(is_int($page_ref)) {
            $this->page_id = $page_ref;
        }
        else if(is_string($page_ref)) {
            $this->page_url = $page_ref;
        }
    }
}